Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class DependencySimilarity

    java.lang.Object
      org.apache.lucene.search.similarities.Similarity
          org.apache.lucene.search.similarities.TFIDFSimilarity
              org.apache.lucene.search.similarities.DefaultSimilarity
                  org.owasp.dependencycheck.data.lucene.DependencySimilarity

    public class DependencySimilarity

extends org.apache.lucene.search.similarities.DefaultSimilarity

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Similarity
`org.apache.lucene.search.similarities.Similarity.ExactSimScorer, org.apache.lucene.search.similarities.Similarity.SimWeight, org.apache.lucene.search.similarities.Similarity.SloppySimScorer`

Field Summary

Fields inherited from class org.apache.lucene.search.similarities.DefaultSimilarity
`discountOverlaps`

Constructor Summary
`DependencySimilarity()`

Method Summary
`float` | `idf(long docFreq, long numDocs)` Override the default idf implementation so that frequency within all document is ignored.

Methods inherited from class org.apache.lucene.search.similarities.DefaultSimilarity
`coord, getDiscountOverlaps, lengthNorm, queryNorm, scorePayload, setDiscountOverlaps, sloppyFreq, tf, toString`

Methods inherited from class org.apache.lucene.search.similarities.TFIDFSimilarity
`computeNorm, computeWeight, decodeNormValue, encodeNormValue, exactSimScorer, idfExplain, idfExplain, sloppySimScorer, tf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependencySimilarity

    public DependencySimilarity()

Method Detail

### idf

    public float idf(long docFreq,
                     long numDocs)

  Override the default idf implementation so that frequency within all document is ignored.

  See this article for more details.

  Overrides:
    `idf` in class `org.apache.lucene.search.similarities.DefaultSimilarity`
  Parameters:
    `docFreq` - - the number of documents which contain the term
    `numDocs` - - the total number of documents in the collection
  Returns:
    1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.